APIs / TikTok / Challenges Posts

TikTok: Challenges Posts

Challenges Posts from TikTok as JSON. 1 credit per successful call.

GET /v1/tiktok/challenges-postsNeeds terms

Note
This endpoint needs the restricted-endpoint terms, which you can accept in your dashboard.

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
challenge_idstringOptionalUp to 100 characters
challenge_namestringOptionalUp to 255 characters
regionstringOptionalUp to 10 characters
countintegerOptionalAny
cursorstringOptionalUp to 100 characters

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/tiktok/challenges-posts?challenge_id=33380&count=10&cursor=0&region=US" \
  -H "X-API-Key: $API_KEY"